import dynamix_sdk.base as _base


class CloudbrokerSecurityGroupDeleteRuleResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerSecurityGroupDeleteRuleProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete_rule(
        self,
        *,
        security_group_id: int,
        rule_id: int,
    ) -> CloudbrokerSecurityGroupDeleteRuleResultBool:
        ...
